com.brightcove.player.management

## Class BrightcovePluginManager

- java.lang.Object
- - com.brightcove.player.event.AbstractComponent
  - - com.brightcove.player.management.BrightcovePluginManager

- All Implemented Interfaces:
    Component

      @Emits(events="version")
       @ListensFor(events="registerPlugin")
      public class BrightcovePluginManager
      extends AbstractComponent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `BrightcovePluginManager.OnRegisterPluginListener`

  - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.event.AbstractComponent

      `eventEmitter, listenerTokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BrightcovePluginManager(EventEmitter eventEmitter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkForCrashlytics()`
    `void` | `crashlyticsLog(java.lang.String message)`
    `protected void` | `generateCrashlyticsMethods()`
    `java.lang.String` | `getCommitIdentifier()` Deprecated. Please use `BuildConfig.COMMIT_ID` instead.
    `java.util.List<java.lang.String>` | `getPluginsInUse()`
    `java.lang.String` | `getReleaseIdentifier()` Deprecated. Please use `BuildConfig.RELEASE_ID` instead.
    `protected void` | `initializeListeners()`

    - ### Methods inherited from class com.brightcove.player.event.AbstractComponent

      `addListener, addOnceListener, getEventEmitter, removeListener, removeListeners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BrightcovePluginManager

          public BrightcovePluginManager(EventEmitter eventEmitter)

  - ### Method Detail

    - #### initializeListeners

          protected void initializeListeners()

    - #### checkForCrashlytics

          protected void checkForCrashlytics()

    - #### generateCrashlyticsMethods

          protected void generateCrashlyticsMethods()

    - #### crashlyticsLog

          public void crashlyticsLog(java.lang.String message)

    - #### getCommitIdentifier

          public java.lang.String getCommitIdentifier()

      Deprecated. Please use `BuildConfig.COMMIT_ID` instead.
      Returns the SHA checksum of the changes recorded in the (Git) repository.
      Returns:
        the commit identifier.

    - #### getReleaseIdentifier

          public java.lang.String getReleaseIdentifier()

      Deprecated. Please use `BuildConfig.RELEASE_ID` instead.
      Returns the build version of the SDK..
      Returns:
        the build version.

    - #### getPluginsInUse

          public java.util.List<java.lang.String> getPluginsInUse()